import {
  Color,
  Font,
  FontSize,
  heightResponsive as H,
  ScreenHeight,
  ScreenWidth,
  widthResponsive as W,
} from "@Constants";
import { StyleSheet, Dimensions } from "react-native";
const windowWidth = Dimensions.get("window").width;

export default StyleSheet.create({
  container: {
    width: "100%",
    position: "absolute",
    backgroundColor: Color.BackgroundSelect,
    height: H(765),
    bottom: 0,
    borderTopLeftRadius: H(20),
    borderTopRightRadius: H(20),
    // opacity: 0.75
  },
  ctnModal: {
    width: windowWidth,
    justifyContent: "center",
    alignSelf: "center",
    margin: 0,
  },
  btnIcon24: {
    width: W(24),
    height: H(24),
  },
  ctnHeader: {
    width: "100%",
    borderTopLeftRadius: H(20),
    borderTopRightRadius: H(20),
    paddingBottom: H(14),
    paddingTop: H(12),
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-between",
    paddingHorizontal: W(16),
    backgroundColor: Color.FilterBackground,
  },
  emptyHeader: {
    width: H(24),
    height: H(24),
  },
  txtHeader: {
    fontSize: FontSize.FontBig,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "600",
    lineHeight: 28,
    color: Color.White,
  },
  ctnBodyNotConnect: {
    flex: 1,
    height: "100%",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    width: "100%",
    paddingHorizontal: W(48),
  },
  viewImage: {
    width: "100%",
    height: H(150),
    alignContent: "center",
    alignItems: "center",
    alignSelf: "center",
  },
  txtHaveNotConnectBL: {
    textAlign: "center",
    fontWeight: "700",
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    lineHeight: 24,
    color: Color.White,
    marginVertical: H(4),
  },
  txtRecommentConnectBL: {
    textAlign: "center",
    fontWeight: "400",
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    lineHeight: 20,
    color: Color.lightWhite,
    marginBottom: H(16),
    paddingHorizontal: W(26),
  },
  ctnBtnSettingBL: {
    width: "100%",
    backgroundColor: Color.Yellow,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: H(10),
    paddingVertical: H(12),
  },
  ctnBtnSettingBLDisabled: {
    backgroundColor: Color.ButtonDisable,
  },
  btnSettingBL: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.TextButton,
    fontWeight: "500",
    lineHeight: 24,
  },
  ctnBodyConnected: {
    paddingHorizontal: W(16),
    flexDirection: "column",
    marginVertical: H(16),
  },
  ctnContentPrint: {
    backgroundColor: Color.White,
    flexDirection: "row",
    borderRadius: H(12),
    alignItems: "center",
    borderColor: Color.BorderColorlightGray,
    borderWidth: 1,
    // marginVertical: H(16),
  },
  ctnQrCode: {
    width: W(98),
  },
  bgQrcode: {
    // paddingHorizontal: W(12),
    flexDirection: "row",
    justifyContent: "center",
  },
  ctnDetailAsset: {
    width: W(245),
    flexDirection: "column",
    borderLeftColor: Color.BorderColorlightGray,
    borderLeftWidth: 1,
  },
  ctnLabelAndValue: {
    flexDirection: "row",
    width: W(243),
  },
  borderBottom: {
    borderBottomColor: Color.BorderColorlightGray,
    borderBottomWidth: 1,
  },
  ctnLabel: {
    width: W(64),
    paddingHorizontal: W(6),
    paddingVertical: H(6),
    borderRightColor: Color.BorderColorlightGray,
    borderRightWidth: 1,
  },
  txtLabel: {
    fontWeight: "500",
    fontSize: FontSize.FontTiny,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    lineHeight: 16,
    color: Color.TextButton,
  },
  ctnValue: {
    width: W(180),
    paddingHorizontal: W(6),
    paddingVertical: H(6),
  },
  txtValue: {
    fontWeight: "400",
    fontSize: FontSize.FontTiny,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    lineHeight: 16,
    color: Color.TextButton,
  },
  ctnFooterAction: {
    bottom: 0,
    position: "absolute",
    width: ScreenWidth,
    flexDirection: "row",
    alignItems: "center",
    paddingHorizontal: W(12),
    borderTopLeftRadius: H(12),
    borderTopRightRadius: H(12),
    justifyContent: "space-between",
  },
  // release current phase
  ctnContentPrintRelease: {
    backgroundColor: Color.White,
    flexDirection: "column",
    // borderRadius: H(12),
    alignItems: "center",
    justifyContent: "center",
    borderColor: Color.BorderColorlightGray,
    borderWidth: 1,
    paddingVertical: H(8),
  },
  txtQrCode: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "400",
    color: Color.TextButton,
    marginTop: H(16),
    paddingHorizontal: H(16),
  },
  txtNameAsset: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "500",
    color: Color.TextButton,
    marginTop: H(8),
    textAlign: "center",
    paddingHorizontal: H(8),
    height: H(42.7),
  },
  ctnListDevices: {
    width: "100%",
  },
  ctnChooseDevice: {
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    paddingHorizontal: H(16),
    marginBottom: H(8),
  },
  txtChooseDevice: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "700",
    color: Color.White,
    lineHeight: 24,
    // marginTop: H(8),
  },
  ctnDevice: {
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    marginHorizontal: W(16),
    paddingVertical: H(12),
    borderBottomColor: Color.FilterBackground,
    borderBottomWidth: 1,
    paddingRight: W(8),
  },
  ctnDeviceName: {
    flexDirection: "row",
  },
  txtNameDevice: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "400",
    color: Color.White,
    lineHeight: 24,
    marginLeft: W(8),
  },
  txtNameActive: {
    color: Color.Yellow,
    fontWeight: "700",
  },
  ctnNotDevice: {
    alignItems: "center",
    flexDirection: "column",
    // justifyContent: 'center',
    width: "100%",
  },
  txtNotDevice: {
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "400",
    color: Color.White,
    lineHeight: 24,
    textAlign: "center",
  },
});
